#!/usr/bin/env python
# _*_ coding:utf-8 _*_

'''
  Copyright: 2016-2018 ROS小课堂 www.corvin.cn
  Author: corvin
  Description:
      arduino节点代码可以使用dynamic_reconfigure来动态更新
    节点参数。
  History:
      20181225: initial this file.
'''

import rospy

from dynamic_reconfigure.server import Server
from arduino_servo_connect.cfg import arduino_servoConfig

def callback(config, level):
    rospy.loginfo("pub_rate:{firmware_pub_rate},move_delay:{servo_move_delay}".format(**config))
    return config

if __name__ == "__main__":
    rospy.init_node("arduino_dynamic_reconfig", anonymous=False)

    Server(arduino_servoConfig, callback)
    rospy.spin()
